Skip to main content
POST
Filter

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

query
string

The query to be used for full text search of this collection.

sort
string

The sorting column and order to be used for this collection. Available sorting columns for this endpoint are created_at, email, name, and updated_at.

Body

application/json
filter
object

A rule tree describing how to filter records. May be a single rule_condition or a rule_group combining multiple conditions and nested groups with and / or. The valid attribute_name and operator_label values for each resource come from the corresponding GET /v1/<resource>/filter_schema endpoint.

Example:

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.